<?php
class AddGtmCodes extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'add_gtm_codes';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
		),
		'down' => array(
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		if ($direction == 'up') {
			$this->SiteSettingCategory = EvClassRegistry::init('EvSiteSettings.SiteSettingCategory');
			$this->SiteSetting = EvClassRegistry::init('EvSiteSettings.SiteSetting');

			$gtmCodeCategory = $this->SiteSettingCategory->save(
				array(
					'name' => 'Google Tag Manager',
					'array_slug' => 'gtm_code',
					'sequence' => 40
				)
			);

			$this->SiteSetting->saveMany(
				array(
					array(
						'name' => 'GTM Code - head',
						'array_slug' => 'gtm_code_head',
						'type' => 'text_plain',
						'options' => null,
						'value' => "<!-- Google Tag Manager --><script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src='https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);})(window,document,'script','dataLayer','GTM-T5HRW7B');</script><!-- End Google Tag Manager -->",
						'site_setting_category_id' => $gtmCodeCategory['SiteSettingCategory']['id'],
						'sequence' => 1
					),
					array(
						'name' => 'GTM Code - body',
						'array_slug' => 'gtm_code_body',
						'type' => 'text_plain',
						'options' => null,
						'value' => "<!-- Google Tag Manager (noscript) --><noscript><iframe src='https://www.googletagmanager.com/ns.html?id=GTM-T5HRW7B' height='0' width='0' style='display:none;visibility:hidden'></iframe></noscript><!-- End Google Tag Manager (noscript) -->",
						'site_setting_category_id' => $gtmCodeCategory['SiteSettingCategory']['id'],
						'sequence' => 2
					)
				)
			);
		}

		return true;
	}
}
